<template>
  <pageWrapper
    :title="$t('profile.title')"
    closable
    backable
    :gradient="true"
    @close="close"
    @back="back">
    <div class="profile">
      <Resources></Resources>
    </div>
    <div class="flex flex-around mb-25">
      <Btn
        @click="openPin"
        style="width: 160px;"
        color="#FFFFFF">
        {{$t('header.menu.pin')}}
        <template slot="img">
          <img
            class="icon_align-right"
            src="~/static/icons-menu/settings.svg"
            alt="">
        </template>
      </Btn>
      <Btn
        @click="logout"
        style="width: 160px;"
        color="#FFFFFF">
        {{$t('header.menu.logOut')}}
        <template slot="img">
          <img
            class="icon_align-right"
            src="~/static/icons-menu/logout.svg"
            alt="">
        </template>
      </Btn>
    </div>
  </pageWrapper>
</template>

<script>
  import pageWrapper from '~/components/common/pageWrapper';
  import Resources from './resources/';
  import Btn from '~/components/UI/BtnSign_dark';

  export default {
    name: "Profile",
    components: {
      pageWrapper,
      Resources,
      Btn,
    },
    methods: {
      back() {
        this.$emit('close');
      },
      close() {
        this.$emit('closeAll');
      },
      openPin(show = true) {
        this.$root.$refs['headerTop'].openMenu(false);
        this.$store.commit('pincode/SET_SHOW_PINCODE', {show, controls: true});
      },
      logout() {
        this.$store.dispatch('user/logout');
        this.close();
        this.$store.commit('pincode/SET_SHOW_PINCODE', {controls: true, show: false});
        window.$chatwoot && window.$chatwoot.reset();
      }
    },
    mounted() {
      this.$store.dispatch('wallet/getAccount', {
        accountName: localStorage.getItem('accountname')
      });
    }
  }
</script>
